﻿Option Strict On

Imports Windows.UI.Popups

' 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234238 を参照してください

''' <summary>
''' それ自体で使用できる空白ページまたはフレーム内に移動できる空白ページ。
''' </summary>
''' 
Public Structure PersonalInfo
    Public Namae As String
    Public Address As String
    Public Work As String
End Structure
Public NotInheritable Class MainPage
    Inherits Page

    ''' <summary>
    ''' このページがフレームに表示されるときに呼び出されます。
    ''' </summary>
    ''' <param name="e">このページにどのように到達したかを説明するイベント データ。Parameter 
    ''' プロパティは、通常、ページを構成するために使用します。</param>
    ''' 
    Dim myPersonalInfo As PersonalInfo
    Protected Overrides Sub OnNavigatedTo(e As Navigation.NavigationEventArgs)

    End Sub

    Private Async Sub okButton_Click(sender As Object, e As RoutedEventArgs) Handles okButton.Click
        If nameTextBox.Text = String.Empty OrElse addressTextBox.Text = String.Empty OrElse jobTextBox.Text = String.Empty Then
            Dim message As New MessageDialog("データが未入力です。")
            Await message.ShowAsync
            Exit Sub
        Else
            backButton.IsEnabled = True
            myFrame.Visibility = Windows.UI.Xaml.Visibility.Visible
            myPersonalInfo.Namae = nameTextBox.Text
            myPersonalInfo.Address = addressTextBox.Text
            myPersonalInfo.Work = jobTextBox.Text

            myFrame.Navigate(GetType(GetParametersPage), myPersonalInfo)
        End If

    End Sub

    Private Sub backButton_Click(sender As Object, e As RoutedEventArgs) Handles backButton.Click
        myFrame.Visibility = Windows.UI.Xaml.Visibility.Collapsed
    End Sub
End Class
